

package consultaRequest;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IFX }
     * 
     */
    public IFX createIFX() {
        return new IFX();
    }

    /**
     * Create an instance of {@link IFX.SignoffRq }
     * 
     */
    public IFX.SignoffRq createIFXSignoffRq() {
        return new IFX.SignoffRq();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq }
     * 
     */
    public IFX.PresSvcRq createIFXPresSvcRq() {
        return new IFX.PresSvcRq();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq.BillInqRq }
     * 
     */
    public IFX.PresSvcRq.BillInqRq createIFXPresSvcRqBillInqRq() {
        return new IFX.PresSvcRq.BillInqRq();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq.BillInqRq.BillerId }
     * 
     */
    public IFX.PresSvcRq.BillInqRq.BillerId createIFXPresSvcRqBillInqRqBillerId() {
        return new IFX.PresSvcRq.BillInqRq.BillerId();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq.BillInqRq.MsgRqHdr }
     * 
     */
    public IFX.PresSvcRq.BillInqRq.MsgRqHdr createIFXPresSvcRqBillInqRqMsgRqHdr() {
        return new IFX.PresSvcRq.BillInqRq.MsgRqHdr();
    }

    /**
     * Create an instance of {@link IFX.SignonRq }
     * 
     */
    public IFX.SignonRq createIFXSignonRq() {
        return new IFX.SignonRq();
    }

    /**
     * Create an instance of {@link IFX.SignonRq.SignonPswd }
     * 
     */
    public IFX.SignonRq.SignonPswd createIFXSignonRqSignonPswd() {
        return new IFX.SignonRq.SignonPswd();
    }

    /**
     * Create an instance of {@link IFX.SignoffRq.CustId }
     * 
     */
    public IFX.SignoffRq.CustId createIFXSignoffRqCustId() {
        return new IFX.SignoffRq.CustId();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq.BillInqRq.SelRangeDt }
     * 
     */
    public IFX.PresSvcRq.BillInqRq.SelRangeDt createIFXPresSvcRqBillInqRqSelRangeDt() {
        return new IFX.PresSvcRq.BillInqRq.SelRangeDt();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq.BillInqRq.BillerId.BillInfo }
     * 
     */
    public IFX.PresSvcRq.BillInqRq.BillerId.BillInfo createIFXPresSvcRqBillInqRqBillerIdBillInfo() {
        return new IFX.PresSvcRq.BillInqRq.BillerId.BillInfo();
    }

    /**
     * Create an instance of {@link IFX.PresSvcRq.BillInqRq.MsgRqHdr.NetworkTrnInfo }
     * 
     */
    public IFX.PresSvcRq.BillInqRq.MsgRqHdr.NetworkTrnInfo createIFXPresSvcRqBillInqRqMsgRqHdrNetworkTrnInfo() {
        return new IFX.PresSvcRq.BillInqRq.MsgRqHdr.NetworkTrnInfo();
    }

    /**
     * Create an instance of {@link IFX.SignonRq.SignonPswd.CustId }
     * 
     */
    public IFX.SignonRq.SignonPswd.CustId createIFXSignonRqSignonPswdCustId() {
        return new IFX.SignonRq.SignonPswd.CustId();
    }

}
